#include <iostream>

using namespace std;

int main()
{
    long long poeni, poeniZaSet;
    cin >> poeni >> poeniZaSet;

    int i, tim1[5], tim2[5];
    if(poeni <= poeniZaSet || poeni < 3 * poeniZaSet){
        cout << "-1";
        return 0;
    }

    for(i = 0; i < 3; i++){
            if(i == 2){
                tim1[i] = (poeni - (poeniZaSet * 2)) / 2 + 1;
                tim2[i] = (poeni - (poeniZaSet * 2)) / 2 - 1;
                continue;
            }
            tim1[i] = poeniZaSet;
            tim2[i] = 0;

        }

     for(i = 0; i < 3; i++){
            cout << tim1[i] << " " << tim2[i] << endl;
        }
    return 0;
}